# File: RemoveDoubleLetters.py

"""
Exports the implementation of the removeDoubleLetters function, which
accepts a word and returns the same word where all double letters have
been replaced by a single copy of the letter, e.g. "bookkeeper" becomes "bokeper"
"""

def removeDoubleLetters(word):
   """
   Accepts the supplied word and returns the same word where all double letters
   have been replaced by a single copy of the letter.
   """
   result = ""
   i = 0
   while (i < len(word)):
      ch = word[i]
      result += ch
      i += 1
      if i < len(word) and word[i] == ch: i += 1
   return result
      
def TestRemoveDoubleLetters():
   """
   Provided a simple test framework to exercise our removeDoubleLetters function
   above.
   """
   while True:
      word = input("Enter a word [or hit enter to quit]: ");
      if word == "": break
      print("\"{}\" -> \"{}\"".format(word, removeDoubleLetters(word)))

if __name__ == "__main__":
   TestRemoveDoubleLetters()

        
        
